- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates the RapidVulnerabilityDetectionSettings resource.
IAM Permissions
Requires the following IAM permission on the rapidVulnerabilityDetectionSettings.name field:
securitycenter.rapidvulnerabilitydetectionsettings.update
HTTP request
PATCH https://securitycenter.googleapis.com/v1beta2/{rapidVulnerabilityDetectionSettings.name=organizations/*/rapidVulnerabilityDetectionSettings} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
rapidVulnerabilityDetectionSettings.name |
The resource name of the RapidVulnerabilityDetectionSettings. Formats:
|
Query parameters
| Parameters | |
|---|---|
updateMask |
The list of fields to be updated. |
Request body
The request body contains an instance of RapidVulnerabilityDetectionSettings.
Response body
If successful, the response body contains an instance of RapidVulnerabilityDetectionSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.